# Generated by Django 4.2.10 on 2024-03-09 14:03

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Anime',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titolo', models.CharField(max_length=50)),
                ('trama', models.TextField()),
                ('copertina', models.TextField()),
                ('stato', models.BooleanField()),
                ('premium', models.BooleanField()),
                ('n_serie', models.IntegerField(blank=True, default=0, null=True)),
                ('tot_episodi', models.IntegerField(blank=True, default=0, null=True)),
                ('avg_rating', models.FloatField(default=0)),
            ],
            options={
                'db_table': 'ANIMEFLIX_anime',
                'ordering': ['titolo'],
            },
        ),
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('descrizione', models.CharField(max_length=30, primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'ANIMEFLIX_categoria',
            },
        ),
        migrations.CreateModel(
            name='Genere',
            fields=[
                ('descrizione', models.CharField(max_length=20, primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'ANIMEFLIX_genere',
            },
        ),
        migrations.CreateModel(
            name='Premium',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('durata', models.IntegerField()),
            ],
            options={
                'db_table': 'ANIMEFLIX_premium',
            },
        ),
        migrations.CreateModel(
            name='Utente',
            fields=[
                ('account', models.OneToOneField(db_column='account', on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('eta', models.IntegerField(blank=True, null=True)),
                ('nazionalita', models.CharField(blank=True, default='', max_length=50)),
                ('abbonato', models.BooleanField(default=False)),
                ('avatar', models.ImageField(default='avatar/avatar-default.png', upload_to='avatar')),
            ],
            options={
                'db_table': 'ANIMEFLIX_utente',
            },
        ),
        migrations.CreateModel(
            name='Stagionedellanno',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stagione', models.CharField(max_length=10)),
                ('anno', models.IntegerField()),
            ],
            options={
                'db_table': 'ANIMEFLIX_stagionedellanno',
                'unique_together': {('stagione', 'anno')},
            },
        ),
        migrations.CreateModel(
            name='Serie',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.FloatField()),
                ('nome', models.CharField(max_length=50)),
                ('n_episodi', models.IntegerField(blank=True, null=True)),
                ('id_anime', models.ForeignKey(db_column='id_anime', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.anime')),
                ('id_stag_anno', models.ForeignKey(db_column='id_stag_anno', on_delete=django.db.models.deletion.DO_NOTHING, to='animeflix_app.stagionedellanno')),
            ],
            options={
                'db_table': 'ANIMEFLIX_serie',
                'unique_together': {('id', 'id_anime')},
            },
        ),
        migrations.CreateModel(
            name='Lista',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nome', models.CharField(max_length=12)),
                ('id_account', models.ForeignKey(db_column='id_account', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.utente')),
            ],
            options={
                'db_table': 'ANIMEFLIX_lista',
                'unique_together': {('nome', 'id_account')},
            },
        ),
        migrations.AddField(
            model_name='anime',
            name='categoria',
            field=models.ForeignKey(db_column='categoria', on_delete=django.db.models.deletion.DO_NOTHING, to='animeflix_app.categoria'),
        ),
        migrations.CreateModel(
            name='ListaIncludeAnime',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_account', models.ForeignKey(db_column='id_account', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.utente')),
                ('id_anime', models.ForeignKey(db_column='id_anime', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.anime')),
                ('nome_lista', models.ForeignKey(blank=True, db_column='nome_lista', null=True, on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.lista')),
            ],
            options={
                'db_table': 'ANIMEFLIX_lista_include_anime',
                'unique_together': {('id_anime', 'nome_lista', 'id_account')},
            },
        ),
        migrations.CreateModel(
            name='Evaluation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('review', models.TextField()),
                ('vote', models.PositiveSmallIntegerField()),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('mod_date', models.DateTimeField(auto_now=True)),
                ('anime', models.ForeignKey(db_column='anime', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.anime')),
                ('author', models.ForeignKey(db_column='author', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.utente')),
            ],
            options={
                'db_table': 'ANIMEFLIX_evaluation',
                'ordering': ['creation_date'],
                'unique_together': {('author', 'anime')},
            },
        ),
        migrations.CreateModel(
            name='Episodio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.FloatField()),
                ('titolo', models.CharField(max_length=100)),
                ('url_video', models.TextField()),
                ('data_car', models.DateField(blank=True, null=True)),
                ('ora_car', models.TimeField(blank=True, null=True)),
                ('id_anime', models.ForeignKey(db_column='id_anime', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.anime')),
                ('id_serie', models.ForeignKey(db_column='id_serie', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.serie')),
            ],
            options={
                'db_table': 'ANIMEFLIX_episodio',
                'unique_together': {('id', 'id_serie', 'id_anime')},
            },
        ),
        migrations.CreateModel(
            name='Animegenere',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_anime', models.ForeignKey(db_column='id_anime', on_delete=django.db.models.deletion.DO_NOTHING, to='animeflix_app.anime')),
                ('id_genere', models.ForeignKey(db_column='id_genere', on_delete=django.db.models.deletion.DO_NOTHING, to='animeflix_app.genere')),
            ],
            options={
                'db_table': 'ANIMEFLIX_anime_genere',
                'unique_together': {('id_anime', 'id_genere')},
            },
        ),
        migrations.CreateModel(
            name='AccountPremium',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data_inizio', models.DateField(auto_now_add=True)),
                ('data_fine', models.DateField(editable=False)),
                ('scaduto', models.BooleanField(default=False, editable=False)),
                ('id_account', models.ForeignKey(db_column='id_account', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.utente')),
                ('id_premium', models.ForeignKey(db_column='id_premium', on_delete=django.db.models.deletion.CASCADE, to='animeflix_app.premium')),
            ],
            options={
                'db_table': 'ANIMEFLIX_account_premium',
                'unique_together': {('id_account', 'id_premium')},
            },
        ),
    ]
